%define name smartmontools
%define version 5.38
%define release %mkrel 5

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	For monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
URL:        http://smartmontools.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source2:	smartd.conf
Patch:      smartmontools-5.38-fix-format-errors.patch
Obsoletes:	smartsuite
Provides:	smartsuite
Requires(post):	rpm-helper
Requires(preun): rpm-helper
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contains two utilities.  The first, smartctl, is a command-line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 and ATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

%prep
%setup -q
%patch -p 1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install %{SOURCE2} %{buildroot}/etc/

mv %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%_post_service smartd

%preun
%_preun_service smartd

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/smartd.conf
%{_initrddir}/smartd
%{_sbindir}/*
%{_mandir}/man?/*
%{_docdir}/%{name}


%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 5.38-5mdv2010.0
+ Revision: 427197
- rebuild

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.38-4mdv2009.1
+ Revision: 337587
- fix format errors
- install doc in expected location
- drop README.urpmi, just telling users to edit their configuration is a bit useless
- spec cleanup
- keep bash completion in its own package

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.38-3mdv2009.0
+ Revision: 225446
- rebuild

* Mon Mar 10 2008 Erwan Velu <erwan@mandriva.org> 5.38-2mdv2008.1
+ Revision: 183401
- 5.38 official release
  Remove patch0 (upstream)
  This release closes bug #37887

* Fri Feb 29 2008 Erwan Velu <erwan@mandriva.org> 5.38-1mdv2008.1
+ Revision: 176708
- Update source to 5.38
- Using 5.38 tag

* Sat Feb 02 2008 Thomas Backlund <tmb@mandriva.org> 5.38-0.1mdv2008.1
+ Revision: 161576
- update to 5.38 (cvs snapshot 20080203)
- drop patch1: hsm fix, merged upstream
- drop patch2: strange_buffer fix, merged upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 5.37-2mdv2008.0
+ Revision: 69152
- Preventing some some HSM violation  on sata_nv


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 5.37-1mdv2007.0
+ Revision: 109094
- .asc file no more exists
- 5.37
- Import smartmontools

* Wed Apr 19 2006 Erwan Velu <erwan@mandriva.com> 5.36-1mdk
- 5.36

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 5.33-6mdk
- drop parallel-init patch (Patch0)
- Patch0: use standard LSB tags instead of X-UnitedLinux tags
- fix incorrect Requires(X)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 5.33-5mdk
- Add parallel init stuff

* Wed Oct 05 2005 Erwan Velu <velu@seanodes.com> 5.33-4mdk
- Adding README.urpmi
- Adding mail example in config file

* Fri Jul 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.33-3mdk 
- bash completion

* Tue Jun 14 2005 Erwan Velu <velu@seanodes.com> 5.33-2mdk
- Fixing stupid errors

* Fri Oct 29 2004 Erwan Velu <erwan@mandrakesoft.com> 5.33-1mdk
- 5.33

* Tue Aug 17 2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-2mdk
- Using a better default configuration file

* Tue Jul 13 2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-1mdk
- 5.32

* Thu Jun 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.31-2mdk
- Fix spelling errors in description

* Mon May 17 2004 Abel Cheung <deaddog@deaddog.org> 5.31-1mdk
- New version
- Use tar.gz for source verification

* Tue Mar 09 2004 Erwan Velu <erwan@mandrakesoft.com> 5.30-1mdk
- New release

* Thu Feb 19 2004 Erwan Velu <erwan@mandrakesoft.com> 5.27-1mdk
- New Release

